Bug 800331 - Timer: Guvnor BPMN designer requires all timeDuration, timeCycle and timeDate to be filled in
Timer: Guvnor BPMN designer requires all timeDuration, timeCycle and timeDate...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: BRMS 5.3.0.GA
Assigned To: Tihomir Surdilovic
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 05:33 EST by Radovan Synek
Modified: 2012-05-03 23:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
process definition (3.38 KB, application/octet-stream)
2012-03-06 05:33 EST, Radovan Synek
no flags Details

  None (edit)
Description Radovan Synek 2012-03-06 05:33:58 EST
Created attachment 567907 [details]
process definition

Description of problem:

There are 3 options how to specify timer - duration, cycle and date. One of them should be filled in (see XSD - timerEventDefinition: http://www.omg.org/spec/BPMN/20100501/Semantic.xsd). But not all of them.

Steps to Reproduce:
1. Start the Guvnor, create new BPMN2 process.
2. Choose "Import from BPMN2" in BPMN designer and load attached definition.
3. Click on Validate Process button.
4. There is validation error over timer saying that timecycle and timedate are missing.
Comment 1 Tihomir Surdilovic 2012-03-07 09:26:52 EST
Fixed and checked into master and the 2.1.x branch.

Note You need to log in before you can comment on or make changes to this bug.